/**
 * 获取当前平台  H5/APP/MP...
 * @param {string} value 传入指定平台名称 返回Boolean
 */
export function platform(value) {
    let name = "";
    let isMp = false;

    // #ifdef APP-PLUS-NVUE
    name = "APPNVUE";
    // #endif

    // #ifdef APP-PLUS
    name = "APP";
    // #endif

    // #ifdef H5
    name = "H5";
    // #endif

    // #ifdef MP-ALIPAY
    name = "ALIPAY";
    isMp = true;
    // #endif

    // #ifdef MP-BAIDU
    name = "BAIDU";
    isMp = true;
    // #endif

    // #ifdef MP-QQ
    name = "QQ";
    isMp = true;
    // #endif

    // #ifdef MP-WEIXIN
    name = "WEIXIN";
    isMp = true;
    // #endif

    // #ifdef MP-TOUTIAO
    name = "TOUTIAO";
    isMp = true;
    // #endif

    return value ? value === name || (value === "MP" && isMp) : name;
}

